It’s quite frustrating to be the owner of older generations of iOS devices. iPhone 3G and 3GS (and sometimes even 4!) owners or original iPad or iPad 2 owners are often kept from using certain apps (mainly games) that require more powerful devices. But now, for some users that were upset that they couldn’t play the 3D audio adventure, BlindSide, that’s no longer a problem. BlindSide now supports older devices for their game.

The game used to only be playable on the iPhone 4S, iPad 2, and the third-gen iPad (this left quite a few iPhone users out). The game has now added the iPhone 4 and iPod Touch (fourth generation) to its list of supported devices. Though, epicycle still highly suggests using one of the original three supported devices for the game as the two new devices are supported using a lower quality mode. So for optimal performance, use a new device.

BlindSide is a 3D audio adventure from epicycle. Players never actually see the world that they explore. The game requires uses to put headphones on and navigate around in the darkness based on what they hear. BlindSide detects where players are in the world based on their movements using the device’s gyroscope.

BlindSide is available for $2.99. Check out the new trailer for the game below.

---